match: Paper title search

API: semanticscholar.org:semantic-scholar-api
Endpoint: /paper/search/match
Response format: application/json
Auth: unknown
Method: GET
Last Status: 200
Latency: 807ms

Description

Behaves similarly to <code>/paper/search</code>, but is intended for retrieval of a single paper based on closest title match to given query. Examples: <ul> <li><code>https://api.semanticscholar.org/graph/v1/paper/search/match?query=Construction of the Literature Graph in Semantic Scholar</code></li> <ul> <li>Returns a single paper that is the closest title match.</li> <li>Each paper has its paperId, title, and matchScore as well as any other requested fields.</li> </ul> <li><code>https://api.semanticscholar.org/graph/v1/paper/search/match?query=totalGarbageNonsense</code></li> <ul> <li>Returns with a 404 error and a "Title match not found" message.</li> </ul> </ul> <br> Limitations: <ul> <li>Will only return the single highest match result.</li> </ul> </ul>

Parameters (9)

fields (string, query, optional)

A comma-separated list of the fields to be returned. See the contents of the <code>data</code> array in Response Schema below for a list of all available fields that can be returned. The <code>paperId</code> field is always returned. If the fields parameter is omitted, only the <code>paperId</code> and <code>title</code> will be returned. <p>Use a period (“.”) for fields that have version numbers or subfields, such as the <code>embedding</code>, <code>authors</code>, <code>citations</code>, and <code>references</code> fields: <ul> <li>When requesting <code>authors</code>, the <code>authorId</code> and <code>name</code> subfields are returned by default. To request other subfields, use the format <code>author.url,author.paperCount</code>, etc. See the Response Schema below for available subfields.</li> <li>When requesting <code>citations</code> and <code>references</code>, the <code>paperId</code> and <code>title</code> subfields are returned by default. To request other subfields, use the format <code>citations.title,citations.abstract</code>, etc. See the Response Schema below for available subfields.</li> <li>When requesting <code>embedding</code>, the default <a href="https://github.com/allenai/specter">Spector embedding version</a> is v1. Specify <code>embedding.specter_v2</code> to select v2 embeddings.</li> </ul> Examples: <ul> <li><code>fields=title,url</code></li> <li><code>fields=title,embedding.specter_v2</code></li> <li><code>fields=title,authors,citations.title,citations.abstract</code></li> </ul>

fieldsOfStudy (string, query, optional)

Restricts results to papers in the given fields of study, formatted as a comma-separated list: <ul> <li>Computer Science</li> <li>Medicine</li> <li>Chemistry</li> <li>Biology</li> <li>Materials Science</li> <li>Physics</li> <li>Geology</li> <li>Psychology</li> <li>Art</li> <li>History</li> <li>Geography</li> <li>Sociology</li> <li>Business</li> <li>Political Science</li> <li>Economics</li> <li>Philosophy</li> <li>Mathematics</li> <li>Engineering</li> <li>Environmental Science</li> <li>Agricultural and Food Sciences</li> <li>Education</li> <li>Law</li> <li>Linguistics</li> </ul> Example: <code>Physics,Mathematics</code> will return papers with either Physics or Mathematics in their list of fields-of-study.

minCitationCount (string, query, optional)

Restricts results to only include papers with the minimum number of citations. <br> <br> Example: <code>minCitationCount=200</code>

openAccessPdf (string, query, optional)

Restricts results to only include papers with a public PDF. This parameter does not accept any values.

publicationDateOrYear (string, query, optional)

Restricts results to the given range of publication dates or years (inclusive). Accepts the format <code>&lt;startDate&gt;:&lt;endDate&gt;</code> with each date in <code>YYYY-MM-DD</code> format. <br> <br> Each term is optional, allowing for specific dates, fixed ranges, or open-ended ranges. In addition, prefixes are supported as a shorthand, e.g. <code>2020-06</code> matches all dates in June 2020. <br> <br> Specific dates are not known for all papers, so some records returned with this filter will have a <code>null</code> value for </code>publicationDate</code>. <code>year</code>, however, will always be present. For records where a specific publication date is not known, they will be treated as if published on January 1st of their publication year. <br> <br> Examples: <ul> <li><code>2019-03-05</code> on March 5th, 2019</li> <li><code>2019-03</code> during March 2019</li> <li><code>2019</code> during 2019</li> <li><code>2016-03-05:2020-06-06</code> as early as March 5th, 2016 or as late as June 6th, 2020</li> <li><code>1981-08-25:</code> on or after August 25th, 1981</li> <li><code>:2015-01</code> before or on January 31st, 2015</li> <li><code>2015:2020</code> between January 1st, 2015 and December 31st, 2020</li> </ul>

publicationTypes (string, query, optional)

Restricts results to any of the following paper publication types: <ul> <li>Review</li> <li>JournalArticle</li> <li>CaseReport</li> <li>ClinicalTrial</li> <li>Conference</li> <li>Dataset</li> <li>Editorial</li> <li>LettersAndComments</li> <li>MetaAnalysis</li> <li>News</li> <li>Study</li> <li>Book</li> <li>BookSection</li> </ul> Use a comma-separated list to include papers with any of the listed publication types. <br><br> Example: <code>Review,JournalArticle</code> will return papers with publication types Review and/or JournalArticle.

query (string, query, required)

A plain-text search query string. * No special query syntax is supported. See our <a href="https://medium.com/ai2-blog/building-a-better-search-engine-for-semantic-scholar-ea23a0b661e7">blog post</a> for a description of our search relevance algorithm.

venue (string, query, optional)

Restricts results to papers published in the given venues, formatted as a comma-separated list. <br><br> Input could also be an ISO4 abbreviation. Examples include: <ul> <li>Nature</li> <li>New England Journal of Medicine</li> <li>Radiology</li> <li>N. Engl. J. Med.</li> </ul> Example: <code>Nature,Radiology</code> will return papers from venues Nature and/or Radiology.

year (string, query, optional)

Restricts results to the given publication year or range of years (inclusive). <br> <br> Examples: <ul> <li><code>2019</code> in 2019</li> <li><code>2016-2020</code> as early as 2016 or as late as 2020</li> <li><code>2010-</code> during or after 2010</li> <li><code>-2015</code> before or during 2015</li> </ul>

Examples (3)

Basic title match search curl
curl 'https://api.semanticscholar.org/graph/v1/paper/search/match?query=Attention+Is+All+You+Need'
import requests

resp = requests.get(
    "https://api.semanticscholar.org/graph/v1/paper/search/match",
    params={
        'query': 'Attention Is All You Need',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("semanticscholar")
result = api.fetch("paper/search/match", query="Attention Is All You Need")

for item in result:
    print(item)
const resp = await fetch("https://api.semanticscholar.org/graph/v1/paper/search/match?query=Attention+Is+All+You+Need");
const data = await resp.json();
Title match with specific fields curl
curl 'https://api.semanticscholar.org/graph/v1/paper/search/match?query=Deep+Residual+Learning+for+Image+Recognition&fields=title%2Cauthors%2Cyear%2CcitationCount%2CreferenceCount'
import requests

resp = requests.get(
    "https://api.semanticscholar.org/graph/v1/paper/search/match",
    params={
        'query': 'Deep Residual Learning for Image Recognition',
        'fields': 'title,authors,year,citationCount,referenceCount',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("semanticscholar")
result = api.fetch("paper/search/match", query="Deep Residual Learning for Image Recognition", fields="title,authors,year,citationCount,referenceCount")

for item in result:
    print(item)
const resp = await fetch("https://api.semanticscholar.org/graph/v1/paper/search/match?query=Deep+Residual+Learning+for+Image+Recognition&fields=title%2Cauthors%2Cyear%2CcitationCount%2CreferenceCount");
const data = await resp.json();
Title match with citation and year filters curl
curl 'https://api.semanticscholar.org/graph/v1/paper/search/match?query=BERT%3A+Pre-training+of+Deep+Bidirectional+Transformers&minCitationCount=1000&year=2019'
import requests

resp = requests.get(
    "https://api.semanticscholar.org/graph/v1/paper/search/match",
    params={
        'query': 'BERT: Pre-training of Deep Bidirectional Transformers',
        'minCitationCount': '1000',
        'year': '2019',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("semanticscholar")
result = api.fetch("paper/search/match", query="BERT: Pre-training of Deep Bidirectional Transformers", minCitationCount=1000, year=2019)

for item in result:
    print(item)
const resp = await fetch("https://api.semanticscholar.org/graph/v1/paper/search/match?query=BERT%3A+Pre-training+of+Deep+Bidirectional+Transformers&minCitationCount=1000&year=2019");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 03:32:30.356024 200 807ms
2026-04-16 02:15:48.049260 200 847ms
2026-04-16 02:03:15.993637 200 769ms
2026-04-15 03:24:29.473787 200 793ms
2026-04-15 02:57:00.955629 200 1065ms
2026-04-15 01:58:20.669122 200 1048ms
2026-04-14 03:02:15.658384 200 677ms
2026-04-14 02:59:03.477012 200 812ms
2026-04-14 02:39:04.269092 200 932ms
2026-04-12 16:49:51.452562 200 1378ms
2026-04-12 15:32:57.831788 200 882ms
2026-04-12 14:50:08.023131 200 745ms
2026-04-10 02:59:50.713094 200 849ms
2026-04-10 01:19:52.826649 200 914ms
2026-04-10 00:13:11.043176 200 911ms
2026-04-09 02:15:16.763421 200 1041ms
2026-04-09 00:46:47.528893 200 838ms
2026-04-09 00:13:57.400614 200 1005ms
2026-03-23 10:37:19.524400 200 747ms
2026-03-23 09:16:15.319920 200 2692ms
2026-03-23 09:10:29.023249 200 821ms